/* 
  Парус 8 - Панели мониторинга - Примеры
  Буфер для циклограммы
*/
create table P8PNL_SMPL_CYCLOGRAM
(
  RN                        number(17) not null,     -- Рег. номер записи
  IDENT                     number(17) not null,     -- Идентификатор процесса
  TYPE                      number(1) not null,      -- Тип (0 - колонка, 1 - группа, 2 - задача)
  NAME                      varchar2(200) not null,  -- Наименование
  POS_START                 number(17) default null, -- Начальная позиция на циклограмме
  POS_END                   number(17) default null, -- Конечная позиция на циклограмме
  DATE_FROM                 date default null,       -- Дата начала
  DATE_TO                   date default null,       -- Дата окончания
  TASK_GROUP                number(17) default null, -- Группа задач
  constraint C_P8PNL_SMPL_CYCLOGRAM_RN_PK primary key (RN),
  constraint C_P8PNL_SMPL_CYCLOGRAM_TP_VAL check (TYPE in (0, 1, 2))
);
